Get video
curl --request GET \
--url https://api.konbiniapi.com/v1/youtube/videos/{videoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/youtube/videos/{videoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/youtube/videos/{videoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/youtube/videos/{videoId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/youtube/videos/{videoId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/youtube/videos/{videoId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/youtube/videos/{videoId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Video",
"id": "https://www.youtube.com/watch?v=plN7JMbadRg",
"url": "https://www.youtube.com/watch?v=plN7JMbadRg",
"entityId": "plN7JMbadRg",
"name": "Eat Everything In A Grocery Store, Win $1,000,000",
"published": "2026-10-03T16:00:01.000Z",
"viewCount": 274327400,
"content": "I trapped 4 strangers in an entire supermarket and the only way out is eating everything inside\n\nThe guys wore Fitbit Air to track their health and fitness throughout their entire time in the store. See what they achieved during the Google Health Awards. GooglePartner\nGoogle…",
"duration": 3479,
"likeCount": 4140505,
"isFamilySafe": true,
"visibility": "unlisted",
"availableIn": [
"AD"
],
"category": "Entertainment",
"isLive": false,
"startTime": "2026-01-01T18:00:00.000Z",
"endTime": "2026-01-01T20:00:00.000Z",
"attributedTo": {
"type": "Person",
"id": "https://www.youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA",
"url": "https://www.youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA",
"entityId": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"name": "MrBeast"
},
"image": [
{
"type": "Image",
"url": "https://i.ytimg.com/vi/plN7JMbadRg/hqdefault.jpg?sqp=-oaymwEmCKgBEF5IWvKriqkDGQgBFQAAiEIYAdgBAeIBCggYEAIYBjgBQAE=&rs=AOn4CLCiT6Vj47A7NogeJusgz-_sjWhu7A",
"width": 168,
"height": 94
}
],
"tag": [
{
"type": "Tag",
"name": "mrbeast6000"
}
],
"captions": [
{
"languageCode": "ar",
"isAutoGenerated": false,
"name": "Arabic"
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Videos
Get video
Returns metadata for a single public YouTube video: title, description, exact view/like counts, publish date, channel, thumbnails, keywords, and available caption languages. Caption tracks list which languages exist; this endpoint does not return transcript text.
GET
/
v1
/
youtube
/
videos
/
{videoId}
Get video
curl --request GET \
--url https://api.konbiniapi.com/v1/youtube/videos/{videoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/youtube/videos/{videoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/youtube/videos/{videoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/youtube/videos/{videoId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/youtube/videos/{videoId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/youtube/videos/{videoId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/youtube/videos/{videoId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Video",
"id": "https://www.youtube.com/watch?v=plN7JMbadRg",
"url": "https://www.youtube.com/watch?v=plN7JMbadRg",
"entityId": "plN7JMbadRg",
"name": "Eat Everything In A Grocery Store, Win $1,000,000",
"published": "2026-10-03T16:00:01.000Z",
"viewCount": 274327400,
"content": "I trapped 4 strangers in an entire supermarket and the only way out is eating everything inside\n\nThe guys wore Fitbit Air to track their health and fitness throughout their entire time in the store. See what they achieved during the Google Health Awards. GooglePartner\nGoogle…",
"duration": 3479,
"likeCount": 4140505,
"isFamilySafe": true,
"visibility": "unlisted",
"availableIn": [
"AD"
],
"category": "Entertainment",
"isLive": false,
"startTime": "2026-01-01T18:00:00.000Z",
"endTime": "2026-01-01T20:00:00.000Z",
"attributedTo": {
"type": "Person",
"id": "https://www.youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA",
"url": "https://www.youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA",
"entityId": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"name": "MrBeast"
},
"image": [
{
"type": "Image",
"url": "https://i.ytimg.com/vi/plN7JMbadRg/hqdefault.jpg?sqp=-oaymwEmCKgBEF5IWvKriqkDGQgBFQAAiEIYAdgBAeIBCggYEAIYBjgBQAE=&rs=AOn4CLCiT6Vj47A7NogeJusgz-_sjWhu7A",
"width": 168,
"height": 94
}
],
"tag": [
{
"type": "Tag",
"name": "mrbeast6000"
}
],
"captions": [
{
"languageCode": "ar",
"isAutoGenerated": false,
"name": "Arabic"
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
YouTube video ID (the v= value from a watch URL)
Example:
"plN7JMbadRg"
Response
Returns the video
Show child attributes
Show child attributes